<?php

namespace Drupal\Tests\migrate_sandbox\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests migrate sandbox security.
 *
 * @group migrate_sandbox
 */
class MigrateSandboxAccessTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'migrate',
    'migrate_sandbox',
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * The schema is still a @todo.
   *
   * @var bool
   */
  protected $strictConfigSchema = FALSE;

  /**
   * Test access to migrate sandbox form.
   */
  public function testMigrateSandboxAccess() {
    // Check access to migrate sandbox form.
    $untrusted_user = $this->drupalCreateUser(['access content']);
    $this->drupalLogin($untrusted_user);
    $this->drupalGet('/admin/config/development/migrate-sandbox');
    $this->assertSession()->statusCodeEquals('403');

    // Test as trusted user.
    $trusted_user = $this->drupalCreateUser(['access migrate_sandbox']);
    $this->drupalLogin($trusted_user);
    $this->drupalGet('/admin/config/development/migrate-sandbox');
    $this->assertSession()->statusCodeEquals('200');
  }

}
